## enter-tex 3.48.0

=== meson_options.txt ===
option(
  'dconf_migration',
  type: 'boolean', value: true,
  description: 'LaTeXila/GNOME LaTeX to Enter TeX dconf migration'
)

option(
  'gtk_doc',
  type: 'boolean', value: true,
  description: 'Build API reference (requires gtk-doc)'
)

option(
  'tests',
  type: 'boolean', value: true,
  description: 'Build tests'
)

## enter-tex 3.47.0

=== debian/changelog ===
enter-tex (3.47.0-4) unstable; urgency=medium

  * Update Homepage and related links

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 07:53:02 -0400

enter-tex (3.47.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Feb 2025 14:47:02 -0500

enter-tex (3.47.0-2) experimental; urgency=medium

  * Rename source and binary package to match upstream rename
  * Remove -data binary package; not as helpful for ordinary apps like this
  * Update debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Feb 2025 11:27:55 -0500

latexila (3.47.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Salvage this package for the Debian GNOME team (Closes: #1093957)
  * Recreate git repo since the original repo was inaccessible by git
  * Add debian/upstream/metadata
  * Opt into dpkg build API v1
  * Remove Lintian overrides
  * Remove obsolete .xpm and Debian menu files
  * Remove workaround for GCC-14 build

  [ Andreas Tille ]
  * New upstream version (Closes: #910573, #829842, #948071)
  * New Homepage
  * Provides: gnome-latex, enter-tex (to cover new name(s) at least)
  * d/watch: Point to new location
  * d/copyright: New source location
  * debhelper-compat = 13
  * Build-Depends: gtk-doc-tools
  * Standards-Version: 4.7.0 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * d/copyright: Review (thanks to lrc)

  [ наб ]
  * Build-Depends:
    + libgtksourceview-3.0-dev -> libgedit-gtksourceview-dev (Closes: #1079418)
  * d/rules: need to build src/gtex/Gtex-1.gir explicitly
             (or double-build normally but first build fails)
  * debian/latexila.docs: fix for new upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Feb 2025 10:26:50 -0500

latexila (3.22.0-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Ignore GCC-14's incompatible pointer error.
    This issue is fixed properly in the latest version of this app
    which has been renamed to enter-tex. See #910573. (Closes: #1075131)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Nov 2024 16:28:46 -0500

latexila (3.22.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 15:28:31 +0100

latexila (3.22.0-1) unstable; urgency=medium

  * New upstream release:
     - fundraising
     - update AppData
     - translation updates
  * debian/watch: switch to version 4 and use substitutions to make it more
    generic (thanks to henrich for his blog post!).
  * debian/control: update Build-Depends.
  * debian/rules: force not to use valac, which is sometimes detected while
    not actually present.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 11 Oct 2016 10:27:04 +0200

latexila (3.20.1-1) unstable; urgency=medium

  * New minor upstream release:
     + bug fix: initialize correctly the build view settings (to hide
       warnings/badboxes)
     + translation updates

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 11 Aug 2016 14:52:18 +0200

latexila (3.20.0-2) unstable; urgency=medium

  * debian/control:
     + switch Homepage and Vcs-* URLs to HTTPS.
     + update Standards-Version to 3.9.8 (no change needed).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 04 May 2016 23:39:53 +0200

latexila (3.20.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: update Standards-Version to 3.9.7 (no change needed).
  * debian/latexila-data.lintian-overrides: update override with the new name
    of the desktop file.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 02 Mar 2016 22:12:14 +0100

latexila (3.16.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #787882)
  * debian/changelog: update build dependencies.
  * debian/clean: removed, no longer needed for compiling from C files (see
    below).
  * debian/control: integrate changes from Matthieu Baerts (Closes: #774572)
     + wrap and sort dependencies.
     + update homepage.
     + recommend gsettings-desktop-schemas which is supported and contrains
       schemas for the fonts, etc. used by LaTeXila.
     + recommend hicolor-icon-theme.
     + removed build-dependency on valac: it is recommended to build from C
       files (plus build from Vala does not work...)
  * debian/rules: enable parallel build, thanks to Matthieu Baerts.
  * e

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 18 Jun 2015 16:38:24 +0200

latexila (3.14.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
     + update dependency versions.
     + update Standards-Version to 3.9.6 (no change needed).
  * debian/patches: remove two patches, as they were applied upstream.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 27 Oct 2014 16:31:31 +0100

latexila (3.14.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #753874, #763215)
  * debian/clean: use dh_clean to remove regenerated files, that are not
    really necessary and that would be detected as modified.
  * debian/rules: remove code to remove regenerated files, that are now
    removed with dh_clean.
  * debian/control: update build dependencies.
  * debian/patches/fix-typo-choosen.patch: refresh patch.
  * debian/copyright: group translation copyright and remove notice of files
    that have been removed since.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 30 Sep 2014 23:12:04 +0200

latexila (2.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + update dependencies.
     + update Standards-Version to 3.9.5 (no change required).
  * debian/watch: update to take into account two-digits minor number.
    (Closes: #757034)
  * debian/patches/fix-typo-choosen.patch: refresh.



=== debian/control ===
Source: enter-tex
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
Section: tex
Priority: optional
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dpkg-build-api (= 1),
               gobject-introspection,
               gsettings-desktop-schemas-dev,
               gtk-doc-tools,
               itstool,
               libdconf-dev,
               libgedit-tepl-dev,
               libgee-0.8-dev,
               libglib2.0-dev,
               libgspell-1-dev,
               libgtk-3-dev,
               libgedit-gtksourceview-dev,
               libxml2-utils,
               meson,
               valac
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/enter-tex
Vcs-Git: https://salsa.debian.org/gnome-team/enter-tex.git
Homepage: https://gitlab.gnome.org/World/gedit/enter-tex

Package: enter-tex
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gsettings-desktop-schemas,
            hicolor-icon-theme,
            latexmk,
            texlive
Provides: gnome-latex (= ${binary:Version}),
          enter-tex(= ${binary:Version})
Breaks: latexila (<< 3.47.0-2~), latexila-data (<< 3.47.0-2~)
Replaces: latexila (<< 3.47.0-2~), latexila-data (<< 3.47.0-2~)
Description: LaTeX editor designed for the GNOME desktop
 Enter TeX is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, enter-tex
Description: LaTeX editor designed for the GNOME desktop - transitional package
 Enter TeX is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This empty transitional package is here to ensure smooth upgrades.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs


%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# https://gitlab.gnome.org/swilmet/enter-tex/-/issues/19
execute_before_dh_auto_build:
	dh_auto_build -- src/gtex/Gtex-1.gir

## enter-tex 3.48.0

=== debian/changelog ===
enter-tex (3.48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release
  * Bump minimum libgedit-tepl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 07:59:31 -0400

enter-tex (3.47.0-6) unstable; urgency=medium

  * Cherry-pick patches to fix build with latest libgedit-tepl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 09:08:31 -0400

enter-tex (3.47.0-5) unstable; urgency=medium

  * Rebuild against latest libgedit-tepl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 08:09:36 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                gtk-doc-tools,
                itstool,
                libdconf-dev,
-               libgedit-tepl-dev,
+               libgedit-tepl-dev (>= 6.13),
                libgee-0.8-dev,
                libglib2.0-dev,
                libgspell-1-dev,
